package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.GreenForest;
import com.lightinit.hsdatashow.entity.GreenForestExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface GreenForestMapper {
    long countByExample(GreenForestExample example);

    int deleteByExample(GreenForestExample example);

    int deleteByPrimaryKey(Long id);

    int insert(GreenForest record);

    int insertSelective(GreenForest record);

    List<GreenForest> selectByExample(GreenForestExample example);

    GreenForest selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") GreenForest record, @Param("example") GreenForestExample example);

    int updateByExample(@Param("record") GreenForest record, @Param("example") GreenForestExample example);

    int updateByPrimaryKeySelective(GreenForest record);

    int updateByPrimaryKey(GreenForest record);

    List<GreenForest> getGreenForest(int year);
}